Bug 83464 - [CSS Regions]Add helper class for flow threads info in RenderView
Summary: [CSS Regions]Add helper class for flow threads info in RenderView
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Mihnea Ovidenie
URL:
Keywords:
Depends on:
Blocks: 57312
  Show dependency treegraph
 
Reported: 2012-04-09 05:30 PDT by Mihnea Ovidenie
Modified: 2012-07-23 23:42 PDT (History)
2 users (show)

See Also:


Attachments
Patch (35.41 KB, patch)
2012-04-09 05:41 PDT, Mihnea Ovidenie
no flags Details | Formatted Diff | Diff
Patch for landing (36.70 KB, patch)
2012-04-11 01:33 PDT, Mihnea Ovidenie
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mihnea Ovidenie 2012-04-09 05:30:39 PDT
David Hyatt comment on https://bugs.webkit.org/show_bug.cgi?id=80134:
"This isn't really something you should do for this patch, but going forward I think we might want to pull all the flow thread stuff in RenderView into a helper class."
Comment 1 Mihnea Ovidenie 2012-04-09 05:41:15 PDT
Created attachment 136215 [details]
Patch
Comment 2 Dave Hyatt 2012-04-10 11:28:20 PDT
Comment on attachment 136215 [details]
Patch

r=me
Comment 3 WebKit Review Bot 2012-04-10 12:12:28 PDT
Comment on attachment 136215 [details]
Patch

Rejecting attachment 136215 [details] from commit-queue.

Failed to run "['/mnt/git/webkit-commit-queue/Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '-..." exit_code: 2

Last 500 characters of output:
derNamedFlowThread.h
patching file Source/WebCore/rendering/RenderObject.cpp
Hunk #3 succeeded at 565 (offset -24 lines).
Hunk #4 succeeded at 2290 (offset -24 lines).
patching file Source/WebCore/rendering/RenderTreeAsText.cpp
patching file Source/WebCore/rendering/RenderView.cpp
patching file Source/WebCore/rendering/RenderView.h

Failed to run "[u'/mnt/git/webkit-commit-queue/Tools/Scripts/svn-apply', u'--force', u'--reviewer', u'David Hyatt']" exit_code: 1 cwd: /mnt/git/webkit-commit-queue/

Full output: http://queues.webkit.org/results/12384339
Comment 4 Mihnea Ovidenie 2012-04-11 01:33:50 PDT
Created attachment 136644 [details]
Patch for landing
Comment 5 WebKit Review Bot 2012-04-11 02:41:59 PDT
Comment on attachment 136644 [details]
Patch for landing

Clearing flags on attachment: 136644

Committed r113842: <http://trac.webkit.org/changeset/113842>
Comment 6 WebKit Review Bot 2012-04-11 02:42:04 PDT
All reviewed patches have been landed.  Closing bug.